## org.apache.coyote
Interface Processor

All Known Implementing Classes:
  Http11Processor

public interface Processor

Processor.

Author:
  Remy Maucherat

Method Summary
`Adapter` `getAdapter()`
`void` `process(java.io.InputStream input, java.io.OutputStream output)`
`void` `setAdapter(Adapter adapter)`

Method Detail

### setAdapter

    public void setAdapter(Adapter adapter)

### getAdapter

    public Adapter getAdapter()

### process

    public void process(java.io.InputStream input,
                        java.io.OutputStream output)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.